Subject: Re: Difficulties in advertising a new branch to git newbies

From: Jakub Narebski <[email-masked]>
Date: Tue, 30 Jan 2007 22:40:08 +0100

Junio C Hamano wrote:
> Yann Dirson <[email-masked]> writes:
> 
>> On Tue, Jan 30, 2007 at 10:02:40PM +0100, Jakub Narebski wrote:
>>>> I propose this warning be removed here. Otherwise, I either add text
>>>> to my instructions telling the user to ignore the warning message they
>>>> get, or else I go back to "-b build" and back to all the old problems
>>>> it causes.
>>> 
>>> I rather leave warning, but (perhaps around 1.5.1) remove the
>>> instructions. RTFM (err... I'm not sure we have one about detached HEAD).
>>
>> Or provide a "-q" flag to silence the warning ?
> 
> Or maybe make "-f" to mean "I know what I am doing, do not
> warn".

Unfortunately "-f" in git-checkout mean "force a re-read of everything."
Besides I'd like to have "-q" option for example for git-cat-file for
gitweb...

> P.S. Jakub, *please* do not break the thread.

I'll try.
-- 
Jakub Narebski
Poland